package com.ruoyi.zhushi.entity;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public class EmployeeAttendance {
    private long userId;
    private String employeeName;
    private String userName;
    private String nickName;
    private String department;
    private String dateTime;
    private int year;
    private int month;
    private List<DayRecord> dayRecords;

    private int chidaocishu = 0;
    private java.math.BigDecimal workOverTime;
    private java.math.BigDecimal restOverTime;

    private BigDecimal exceptionCount;
    // <用户名,<年假次数:1,迟到次数:1>>
    private Map<String, Map<String,Integer>> summary;
    // getters and setters

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public String getEmployeeName() {
        return employeeName;
    }

    public void setEmployeeName(String employeeName) {
        this.employeeName = employeeName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public int getMonth() {
        return month;
    }

    public void setMonth(int month) {
        this.month = month;
    }

    public List<DayRecord> getDayRecords() {
        return dayRecords;
    }

    public void setDayRecords(List<DayRecord> dayRecords) {
        this.dayRecords = dayRecords;
    }



    public int getChidaocishu() {
        return chidaocishu;
    }

    public void setChidaocishu(int chidaocishu) {
        this.chidaocishu = chidaocishu;
    }

    public BigDecimal getWorkOverTime() {
        return workOverTime;
    }

    public void setWorkOverTime(BigDecimal workOverTime) {
        this.workOverTime = workOverTime;
    }

    public BigDecimal getRestOverTime() {
        return restOverTime;
    }

    public void setRestOverTime(BigDecimal restOverTime) {
        this.restOverTime = restOverTime;
    }

    public BigDecimal getExceptionCount() {
        return exceptionCount;
    }

    public void setExceptionCount(BigDecimal exceptionCount) {
        this.exceptionCount = exceptionCount;
    }

    public Map<String, Map<String, Integer>> getSummary() {
        return summary;
    }

    public void setSummary(Map<String, Map<String, Integer>> summary) {
        this.summary = summary;
    }
}
